NoSuchReportException (Resource Manager CL 1.0.0-4.12.0-126036 API)
Date: 2018-07-18

org.gcube.vremanagement.resourcemanager.client.exceptions

## Class NoSuchReportException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.gcube.vremanagement.resourcemanager.client.exceptions.NoSuchReportException

- All Implemented Interfaces:
    Serializable

      @Unrecoverable
       @WebFault(name="NoSuchReportFaultType")
      public class NoSuchReportException
      extends Exception

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoSuchReportException()` Creates an instance.
    `NoSuchReportException(String msg)` Creates an instance with given message.
    `NoSuchReportException(String msg, Throwable cause)` Creates an instance with a given message and cause.
    `NoSuchReportException(Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoSuchReportException

          public NoSuchReportException()

      Creates an instance.

    - #### NoSuchReportException

          public NoSuchReportException(String msg)

      Creates an instance with given message.
      Parameters:
        `msg` - the message

    - #### NoSuchReportException

          public NoSuchReportException(String msg,
                                       Throwable cause)

      Creates an instance with a given message and cause.
      Parameters:
        `msg` - the message
        `cause` - the cause

    - #### NoSuchReportException

          public NoSuchReportException(Throwable cause)

Copyright © 2018. All Rights Reserved.